Subject: Re: error while building profiled librpcsvc_p.a
To: None <, kenh@wrl.EPI.COM>
From: Stephen J. Roznowski <>
List: current-users
Date: 06/26/1994 01:36:10
> From: Ken Hornstein <kenh@wrl.EPI.COM>
> I get the following error from ranlib(1) when trying to build the profiled
> rpcsvc library:
> building profiled rpcsvc library
> ranlib librpcsvc_p.a
> ranlib: librpcsvc_p.a: Inappropriate file type or format
> *** Error code 1
> The funny thing is, if I remove the `lorder *.po | tsort` from ar and just add
> the files to the archive in alphabetical order, I don't get any such error
> messages.  This is with a June 11th current.  It's not highly critical since I
> rarely, if ever, use profiled libraries; just thought you should know.

I saw the same error. Rebuilding and reinstalling ranlib first made the
problem go away.